Linux Drivers

NVIDIA MLNX_OFED

OFED from OpenFabrics Alliance (www.openfabrics.org) has been hardened through collaborative development and testing by major high performance I/O vendors. MLNX_OFED is an NVIDIA tested and packaged version of OFED that supports two interconnect types using the same RDMA (remote DMA) and kernel bypass APIs called OFED verbs – InfiniBand and Ethernet. Up to 200Gb/s InfiniBand and RoCE (based on the RDMA over Converged Ethernet standard) over 10/25/40/50/100GbE are supported.

Linux Inbox Drivers

Linux Drivers for Ethernet and InfiniBand adapters are also available Inbox in all the major distributions, RHEL, SLES, Ubuntu and more.


View the matrix of MLNX_OFED driver versions vs. supported hardware and firmware for NVIDIA products.

  • Single software stack that operates across all available NVIDIA InfiniBand and Ethernet devices
  • Support for HPC applications for scientific research, AI, benchmarking etc.
  • Support for data center applications such as Oracle 11g/10g RAC, IBM DB2, Financial services applications such as IBM WebSphere LLM, Red Hat MRG, NYSE Data Fabric
  • Support for high-performance block storage applications utilizing RDMA benefits


Note: By downloading and installing MLNX_OFED package for Oracle Linux (OL) OS, you may be violating your operating system’s support matrix. Please consult with your operating system support before installing.


Note: As of MLNX_OFED v5.1, the following are no longer supported and can be utilized through MLNX_OFED LTS version:

  • ConnectX-3 Pro
  • ConnectX-3
  • Connect-IB
  • RDMA experimental verbs library (mlnx_lib)

Note: MLNX_OFED 4.9-x LTS should be used by customers who would like to utilize one of the following:
  • NVIDIA ConnectX-3 Pro
  • NVIDIA ConnectX-3
  • NVIDIA Connect-IB
  • RDMA experimental verbs library (mlnx_lib)
  • OSs based on kernel version lower than 3.10
Note: All of the above are not available on MLNX_OFED 5.x branch.

Note: MLNX_OFED 5.4-x LTS should be used by customers who would like to utilize NVIDIA ConnectX-4 onwards adapter cards and keep using stable 5.4-x deployment and get:
  • Critical bug fixes
  • Support for new major OSs

NVIDIA Cookie Policy

This website uses cookies which may help to deliver content tailored to your preferences and interests, provide you with a better browsing experience, and to analyze our traffic. You may delete and/or block out cookies from this site, but it may affect how the site operates. Further information can be found in our Privacy Policy.